# Webhook

Add a custom HTTP webhook to receive your leads.&#x20;

Whenever Real Intent delivers you a lead, if this is configured, your lead will be sent via `POST`request to your webhook URL with the following body:

```json
{
  "md5": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
  "pii": {
    "first_name": "Jane",
    "last_name": "Doe",
    "address": "1234 Elm St",
    "city": "Sampleville",
    "state": "CA",
    "zip_code": "90001",
    "zip4": "0000",
    "fips_state_code": "06",
    "fips_county_code": "001",
    "county_name": "Sample County",
    "latitude": 37.7749,
    "longitude": -122.4194,
    "address_type": "R",
    "cbsa": "12345",
    "census_tract": "123456",
    "census_block_group": "1",
    "census_block": "1001",
    "gender": "Female",
    "scf": "900",
    "dma": "123",
    "msa": "5678",
    "congressional_district": "10",
    "head_of_household": "Yes",
    "birth_month_and_year": "01/01/1960",
    "age": "65",
    "prop_type": "Residential",
    "n_household_children": "2",
    "credit_range": "I. Unknown",
    "household_income": "N. $150,000-$199,999",
    "household_net_worth": "J. Greater than $499,999",
    "home_owner_status": "Home Owner",
    "marital_status": "Married",
    "occupation": "Retired",
    "median_home_value": "$500,000-$750,000",
    "education": "Bachelor's Degree",
    "length_of_residence": "20",
    "n_household_adults": "2",
    "political_party": "Independent",
    "health_beauty_products": "Yes",
    "cosmetics": "Yes",
    "jewelry": "Yes",
    "investment_type": "Mutual Funds",
    "investments": "Stocks",
    "pet_owner": "Yes",
    "pets_affinity": "Dogs",
    "health_affinity": "Yes",
    "diet_affinity": "Yes",
    "fitness_affinity": "Yes",
    "outdoors_affinity": "Yes",
    "boating_sailing_affinity": "No",
    "camping_hiking_climbing_affinity": "Yes",
    "fishing_affinity": "No",
    "hunting_affinity": "No",
    "aerobics": "Yes",
    "nascar": "No",
    "scuba": "No",
    "weight_lifting": "Yes",
    "healthy_living_interest": "Yes",
    "motor_racing": "No",
    "foreign_travel": "Yes",
    "self_improvement": "Yes",
    "walking": "Yes",
    "fitness": "Yes",
    "ethnicity_detail": "Caucasian",
    "ethnic_group": "White",
    "email_1": "example_email1@domain.com",
    "email_2": "example_email2@domain.com",
    "email_3": null,
    "phone_1": "5551234567",
    "phone_1_dnc": false,
    "phone_2": "5557654321",
    "phone_2_dnc": true,
    "phone_3": null,
    "phone_3_dnc": null
  },
  "insight": "Jane Doe is an ideal candidate for premium mortgage products tailored to affluent seniors, with a focus on luxury homes that offer easy maintenance and proximity to recreational amenities.",
  "sentences": ["Mortgages", "Brokers And Agents", "Residential", "Pre-Movers"],
  "timestamp": "2025-01-13T05:34:07.076780"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.realintent.co/integration-support/webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
